Skip to main content
POST
/
x
/
article
Batch Fetch X Articles
curl --request POST \
  --url https://api.twexapi.io/x/article \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  "<string>"
]'
{
  "code": 123,
  "msg": "<string>",
  "data": [
    {
      "tweet_id": "<string>",
      "full_text": "<string>",
      "created_at": "<string>",
      "lang": "<string>",
      "bookmark_count": 123,
      "favorite_count": 123,
      "reply_count": 123,
      "retweet_count": 123,
      "quote_count": 123,
      "view_count": "<string>",
      "view_count_state": "<string>",
      "conversation_id": "<string>",
      "author_user_id": "<string>",
      "author_screen_name": "<string>",
      "author_name": "<string>",
      "author_is_blue_verified": true,
      "author_verified": true,
      "author_is_verified_organization_affiliate": true,
      "article_id": "<string>",
      "article_title": "<string>",
      "article_preview_text": "<string>",
      "article_summary_text": "<string>",
      "article_cover_image_url": "<string>",
      "article_blocks": [
        {
          "type": "<string>",
          "text": "<string>",
          "entityRanges": [
            {
              "key": 123,
              "length": 123,
              "offset": 123
            }
          ]
        }
      ],
      "article_plain_text": "<string>",
      "article_markdown": "<string>",
      "article_media_image_urls": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Examples:

"1803006263529541838"

"1803006263529541839"

Response

A list of objects containing detailed article data for each valid ID provided.

code
integer
required

The status code of the response.

msg
string
required

The message of the response.

data
XArticleModel · object[]
required

A list of X article objects.